Skip to main content

List & Get Holders


List Holders​

Returns all card holders for your organization with pagination.

Endpoint​

GET /api/v2/organizations/{org_id}/holders

Query Parameters​

ParameterTypeRequiredDescription
pageintegerNoPage number (default: 1)
quantityintegerNoItems per page (default: 25)

Request​

curl "https://api.4pay.cc/api/v2/organizations/{org_id}/holders?page=1&quantity=25" \
-H "Authorization: Bearer YOUR_API_KEY"

Response​

200 OK
{
"data": [
{
"cardOwnerId": "owner-12345",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-202-555-0147"
},
{
"cardOwnerId": "owner-67890",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com"
}
],
"pagination": {
"quantity": 25,
"totalQuantity": 2,
"currentPage": 1,
"pages": 1
}
}

Get Holder Details​

Returns detailed information about a specific holder, including their address.

Endpoint​

GET /api/v2/organizations/{org_id}/holders/{holder_id}

Path Parameters​

ParameterTypeRequiredDescription
org_idstringYesYour organization ID
holder_idstringYesHolder's cardOwnerId

Request​

curl "https://api.4pay.cc/api/v2/organizations/{org_id}/holders/{holder_id}" \
-H "Authorization: Bearer YOUR_API_KEY"

Response​

200 OK
{
"data": {
"cardOwnerId": "owner-12345",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-202-555-0147",
"address": {
"postalCode": "10001",
"city": "New York",
"addressLine1": "123 Main Street",
"addressLine2": "Apt 4B"
}
}
}